qualifications/{companyId}/company-office-addresses
Retrieve a general list of company office addresses for a specific subcontractor, processed in TradeTapp and based on the data input by a subcontractor during the completion of their questionnaire.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/construction/tradetapp/v2/qualifications/{companyId}/company-office-addresses |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
| general-contractor-company-id string | This header is required only for users who belong to a parent enterprise company in TradeTapp.
It specifies the BuildingConnected company ID of the child general contractor company for which the request should be performed.
Otherwise, it is impossible to know for which child general contractor company the user intends to perform the request.
For users who do not belong to a parent enterprise company, this header is not required and should be omitted. If provided for such users, the provided value must match the user’s current general contractor company, otherwise the request will be rejected with a 400 Bad Request error. |
Request
URI Parameters
| companyId string | The company’s BuildingConnected ID. |
Request
Query String Parameters
| cursorState string | An opaque cursor token that identifies where the next page of paginated results should start. It is returned in each paginated response so that it can be provided in the next request to continue paginated results. If a paginated response contains no cursorState value, there are no further pages to return.
Omit this parameter to initiate a paginated request or to restart pagination. |
| limit int | The maximum number of records that the endpoint may return per page.
Note that a returned page may contain fewer records than the limit under either of these conditions:
Default value: |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
| pagination object | The pagination details for a nested list of results in the response. |
| limit int | The maximum number of records per page.
Default: A page may contain fewer records than the limit if fewer records exist or if the last page is returned. |
| cursorState string | An opaque token for cursor-based pagination.
Use the value returned in a response to request the next page of results. Omit this parameter to start a new paginated request or restart pagination. If a response contains no |
| totalResults int | The total number of records matching the query across all pages. |
| nextUrl string | The link to the next page of data. If not included, the current page is the last page of results. A page may be empty but still contain a nextUrl. Stop paging only when nextUrl is no longer returned. |
| previousUrl string | The link to the previous page of data. If not included, the current page is the first page of results. |
| results array: object | |
| isMainOffice boolean | Indicates if this office is the subcontractor’s main office. |
| address1 string | The first line of the subcontractor office’s street address. |
| address2 string | The second line of the subcontractor office’s street address. |
| city string | The subcontractor office’s city. |
| state string | The subcontractor office’s state. |
| zipCode string | The subcontractor office’s zip code. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/tradetapp/v2/qualifications/:companyId/company-office-addresses' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"pagination": {
"limit": 50,
"cursorState": "cD0xMTA4Ng==",
"totalResults": 120,
"nextUrl": "",
"previousUrl": ""
},
"results": [
{
"isMainOffice": true,
"address1": "925 Mission Street",
"address2": "Suite 109",
"city": "San Francisco",
"state": "California",
"zipCode": "94103"
}
]
}